#include <stdint.h>
#define SYM_LENGTH 7
#define KEYCODE_MIN 8
#define KEYCODE_MAX 255
#define NOSYM {{0}, {0}}
struct lorie_keymap {
	char *name;
	struct keysym {
		char normal[SYM_LENGTH];
		char shift[SYM_LENGTH];
	} keysyms[KEYCODE_MAX - KEYCODE_MIN];
};

struct lorie_keymap lorie_keymap_ru = {
	.name = "ru",
	.keysyms = {
		NOSYM, // keyCode: 8;
		NOSYM, // keyCode: 9;
		NOSYM, // keyCode: 10;
		NOSYM, // keyCode: 11;
		NOSYM, // keyCode: 12;
		NOSYM, // keyCode: 13;
		NOSYM, // keyCode: 14;
		NOSYM, // keyCode: 15;
		NOSYM, // keyCode: 16;
		{{27, 0, 0, 0, 0, 0, 0}, {27, 0, 0, 0, 0, 0, 0}}, // keyCode: 17;
		{{49, 0, 0, 0, 0, 0, 0}, {33, 0, 0, 0, 0, 0, 0}}, // keyCode: 18; normal: "1"; shift: "!";
		{{50, 0, 0, 0, 0, 0, 0}, {34, 0, 0, 0, 0, 0, 0}}, // keyCode: 19; normal: "2"; shift: """;
		{{51, 0, 0, 0, 0, 0, 0}, {-30, -124, -106, 0, 0, 0, 0}}, // keyCode: 20; normal: "3"; shift: "№";
		{{52, 0, 0, 0, 0, 0, 0}, {59, 0, 0, 0, 0, 0, 0}}, // keyCode: 21; normal: "4"; shift: ";";
		{{53, 0, 0, 0, 0, 0, 0}, {37, 0, 0, 0, 0, 0, 0}}, // keyCode: 22; normal: "5"; shift: "%";
		{{54, 0, 0, 0, 0, 0, 0}, {58, 0, 0, 0, 0, 0, 0}}, // keyCode: 23; normal: "6"; shift: ":";
		{{55, 0, 0, 0, 0, 0, 0}, {63, 0, 0, 0, 0, 0, 0}}, // keyCode: 24; normal: "7"; shift: "?";
		{{56, 0, 0, 0, 0, 0, 0}, {42, 0, 0, 0, 0, 0, 0}}, // keyCode: 25; normal: "8"; shift: "*";
		{{57, 0, 0, 0, 0, 0, 0}, {40, 0, 0, 0, 0, 0, 0}}, // keyCode: 26; normal: "9"; shift: "(";
		{{48, 0, 0, 0, 0, 0, 0}, {41, 0, 0, 0, 0, 0, 0}}, // keyCode: 27; normal: "0"; shift: ")";
		{{45, 0, 0, 0, 0, 0, 0}, {95, 0, 0, 0, 0, 0, 0}}, // keyCode: 28; normal: "-"; shift: "_";
		{{61, 0, 0, 0, 0, 0, 0}, {43, 0, 0, 0, 0, 0, 0}}, // keyCode: 29; normal: "="; shift: "+";
		{{8, 0, 0, 0, 0, 0, 0}, {8, 0, 0, 0, 0, 0, 0}}, // keyCode: 30;
		NOSYM, // keyCode: 31; normal: "	";
		{{-48, -71, 0, 0, 0, 0, 0}, {-48, -103, 0, 0, 0, 0, 0}}, // keyCode: 32; normal: "й"; shift: "Й";
		{{-47, -122, 0, 0, 0, 0, 0}, {-48, -90, 0, 0, 0, 0, 0}}, // keyCode: 33; normal: "ц"; shift: "Ц";
		{{-47, -125, 0, 0, 0, 0, 0}, {-48, -93, 0, 0, 0, 0, 0}}, // keyCode: 34; normal: "у"; shift: "У";
		{{-48, -70, 0, 0, 0, 0, 0}, {-48, -102, 0, 0, 0, 0, 0}}, // keyCode: 35; normal: "к"; shift: "К";
		{{-48, -75, 0, 0, 0, 0, 0}, {-48, -107, 0, 0, 0, 0, 0}}, // keyCode: 36; normal: "е"; shift: "Е";
		{{-48, -67, 0, 0, 0, 0, 0}, {-48, -99, 0, 0, 0, 0, 0}}, // keyCode: 37; normal: "н"; shift: "Н";
		{{-48, -77, 0, 0, 0, 0, 0}, {-48, -109, 0, 0, 0, 0, 0}}, // keyCode: 38; normal: "г"; shift: "Г";
		{{-47, -120, 0, 0, 0, 0, 0}, {-48, -88, 0, 0, 0, 0, 0}}, // keyCode: 39; normal: "ш"; shift: "Ш";
		{{-47, -119, 0, 0, 0, 0, 0}, {-48, -87, 0, 0, 0, 0, 0}}, // keyCode: 40; normal: "щ"; shift: "Щ";
		{{-48, -73, 0, 0, 0, 0, 0}, {-48, -105, 0, 0, 0, 0, 0}}, // keyCode: 41; normal: "з"; shift: "З";
		{{-47, -123, 0, 0, 0, 0, 0}, {-48, -91, 0, 0, 0, 0, 0}}, // keyCode: 42; normal: "х"; shift: "Х";
		{{-47, -118, 0, 0, 0, 0, 0}, {-48, -86, 0, 0, 0, 0, 0}}, // keyCode: 43; normal: "ъ"; shift: "Ъ";
		{{13, 0, 0, 0, 0, 0, 0}, {13, 0, 0, 0, 0, 0, 0}}, // keyCode: 44;
		NOSYM, // keyCode: 45;
		{{-47, -124, 0, 0, 0, 0, 0}, {-48, -92, 0, 0, 0, 0, 0}}, // keyCode: 46; normal: "ф"; shift: "Ф";
		{{-47, -117, 0, 0, 0, 0, 0}, {-48, -85, 0, 0, 0, 0, 0}}, // keyCode: 47; normal: "ы"; shift: "Ы";
		{{-48, -78, 0, 0, 0, 0, 0}, {-48, -110, 0, 0, 0, 0, 0}}, // keyCode: 48; normal: "в"; shift: "В";
		{{-48, -80, 0, 0, 0, 0, 0}, {-48, -112, 0, 0, 0, 0, 0}}, // keyCode: 49; normal: "а"; shift: "А";
		{{-48, -65, 0, 0, 0, 0, 0}, {-48, -97, 0, 0, 0, 0, 0}}, // keyCode: 50; normal: "п"; shift: "П";
		{{-47, -128, 0, 0, 0, 0, 0}, {-48, -96, 0, 0, 0, 0, 0}}, // keyCode: 51; normal: "р"; shift: "Р";
		{{-48, -66, 0, 0, 0, 0, 0}, {-48, -98, 0, 0, 0, 0, 0}}, // keyCode: 52; normal: "о"; shift: "О";
		{{-48, -69, 0, 0, 0, 0, 0}, {-48, -101, 0, 0, 0, 0, 0}}, // keyCode: 53; normal: "л"; shift: "Л";
		{{-48, -76, 0, 0, 0, 0, 0}, {-48, -108, 0, 0, 0, 0, 0}}, // keyCode: 54; normal: "д"; shift: "Д";
		{{-48, -74, 0, 0, 0, 0, 0}, {-48, -106, 0, 0, 0, 0, 0}}, // keyCode: 55; normal: "ж"; shift: "Ж";
		{{-47, -115, 0, 0, 0, 0, 0}, {-48, -83, 0, 0, 0, 0, 0}}, // keyCode: 56; normal: "э"; shift: "Э";
		{{-47, -111, 0, 0, 0, 0, 0}, {-48, -127, 0, 0, 0, 0, 0}}, // keyCode: 57; normal: "ё"; shift: "Ё";
		NOSYM, // keyCode: 58;
		{{92, 0, 0, 0, 0, 0, 0}, {47, 0, 0, 0, 0, 0, 0}}, // keyCode: 59; normal: "\"; shift: "/";
		{{-47, -113, 0, 0, 0, 0, 0}, {-48, -81, 0, 0, 0, 0, 0}}, // keyCode: 60; normal: "я"; shift: "Я";
		{{-47, -121, 0, 0, 0, 0, 0}, {-48, -89, 0, 0, 0, 0, 0}}, // keyCode: 61; normal: "ч"; shift: "Ч";
		{{-47, -127, 0, 0, 0, 0, 0}, {-48, -95, 0, 0, 0, 0, 0}}, // keyCode: 62; normal: "с"; shift: "С";
		{{-48, -68, 0, 0, 0, 0, 0}, {-48, -100, 0, 0, 0, 0, 0}}, // keyCode: 63; normal: "м"; shift: "М";
		{{-48, -72, 0, 0, 0, 0, 0}, {-48, -104, 0, 0, 0, 0, 0}}, // keyCode: 64; normal: "и"; shift: "И";
		{{-47, -126, 0, 0, 0, 0, 0}, {-48, -94, 0, 0, 0, 0, 0}}, // keyCode: 65; normal: "т"; shift: "Т";
		{{-47, -116, 0, 0, 0, 0, 0}, {-48, -84, 0, 0, 0, 0, 0}}, // keyCode: 66; normal: "ь"; shift: "Ь";
		{{-48, -79, 0, 0, 0, 0, 0}, {-48, -111, 0, 0, 0, 0, 0}}, // keyCode: 67; normal: "б"; shift: "Б";
		{{-47, -114, 0, 0, 0, 0, 0}, {-48, -82, 0, 0, 0, 0, 0}}, // keyCode: 68; normal: "ю"; shift: "Ю";
		{{46, 0, 0, 0, 0, 0, 0}, {44, 0, 0, 0, 0, 0, 0}}, // keyCode: 69; normal: "."; shift: ",";
		NOSYM, // keyCode: 70;
		{{42, 0, 0, 0, 0, 0, 0}, {42, 0, 0, 0, 0, 0, 0}}, // keyCode: 71; normal: "*"; shift: "*";
		NOSYM, // keyCode: 72;
		{{32, 0, 0, 0, 0, 0, 0}, {32, 0, 0, 0, 0, 0, 0}}, // keyCode: 73; normal: " "; shift: " ";
		NOSYM, // keyCode: 74;
		NOSYM, // keyCode: 75;
		NOSYM, // keyCode: 76;
		NOSYM, // keyCode: 77;
		NOSYM, // keyCode: 78;
		NOSYM, // keyCode: 79;
		NOSYM, // keyCode: 80;
		NOSYM, // keyCode: 81;
		NOSYM, // keyCode: 82;
		NOSYM, // keyCode: 83;
		NOSYM, // keyCode: 84;
		NOSYM, // keyCode: 85;
		NOSYM, // keyCode: 86;
		NOSYM, // keyCode: 87; shift: "7";
		NOSYM, // keyCode: 88; shift: "8";
		NOSYM, // keyCode: 89; shift: "9";
		{{45, 0, 0, 0, 0, 0, 0}, {45, 0, 0, 0, 0, 0, 0}}, // keyCode: 90; normal: "-"; shift: "-";
		NOSYM, // keyCode: 91; shift: "4";
		NOSYM, // keyCode: 92; shift: "5";
		NOSYM, // keyCode: 93; shift: "6";
		{{43, 0, 0, 0, 0, 0, 0}, {43, 0, 0, 0, 0, 0, 0}}, // keyCode: 94; normal: "+"; shift: "+";
		NOSYM, // keyCode: 95; shift: "1";
		NOSYM, // keyCode: 96; shift: "2";
		NOSYM, // keyCode: 97; shift: "3";
		NOSYM, // keyCode: 98; shift: "0";
		NOSYM, // keyCode: 99; shift: ",";
		NOSYM, // keyCode: 100;
		NOSYM, // keyCode: 101;
		{{47, 0, 0, 0, 0, 0, 0}, {124, 0, 0, 0, 0, 0, 0}}, // keyCode: 102; normal: "/"; shift: "|";
		NOSYM, // keyCode: 103;
		NOSYM, // keyCode: 104;
		NOSYM, // keyCode: 105;
		NOSYM, // keyCode: 106;
		NOSYM, // keyCode: 107;
		NOSYM, // keyCode: 108;
		NOSYM, // keyCode: 109;
		NOSYM, // keyCode: 110;
		NOSYM, // keyCode: 111;
		{{13, 0, 0, 0, 0, 0, 0}, {13, 0, 0, 0, 0, 0, 0}}, // keyCode: 112;
		NOSYM, // keyCode: 113;
		{{47, 0, 0, 0, 0, 0, 0}, {47, 0, 0, 0, 0, 0, 0}}, // keyCode: 114; normal: "/"; shift: "/";
		NOSYM, // keyCode: 115;
		NOSYM, // keyCode: 116;
		{{10, 0, 0, 0, 0, 0, 0}, {10, 0, 0, 0, 0, 0, 0}}, // keyCode: 117;
		NOSYM, // keyCode: 118;
		NOSYM, // keyCode: 119;
		NOSYM, // keyCode: 120;
		NOSYM, // keyCode: 121;
		NOSYM, // keyCode: 122;
		NOSYM, // keyCode: 123;
		NOSYM, // keyCode: 124;
		NOSYM, // keyCode: 125;
		NOSYM, // keyCode: 126;
		{{127, 0, 0, 0, 0, 0, 0}, {127, 0, 0, 0, 0, 0, 0}}, // keyCode: 127;
		NOSYM, // keyCode: 128;
		NOSYM, // keyCode: 129;
		NOSYM, // keyCode: 130;
		NOSYM, // keyCode: 131;
		NOSYM, // keyCode: 132;
		{{61, 0, 0, 0, 0, 0, 0}, {61, 0, 0, 0, 0, 0, 0}}, // keyCode: 133; normal: "="; shift: "=";
		{{-62, -79, 0, 0, 0, 0, 0}, {-62, -79, 0, 0, 0, 0, 0}}, // keyCode: 134; normal: "±"; shift: "±";
		NOSYM, // keyCode: 135;
		NOSYM, // keyCode: 136;
		{{46, 0, 0, 0, 0, 0, 0}, {46, 0, 0, 0, 0, 0, 0}}, // keyCode: 137; normal: "."; shift: ".";
		NOSYM, // keyCode: 138;
		NOSYM, // keyCode: 139;
		NOSYM, // keyCode: 140;
		NOSYM, // keyCode: 141;
		NOSYM, // keyCode: 142;
		NOSYM, // keyCode: 143;
		NOSYM, // keyCode: 144;
		NOSYM, // keyCode: 145;
		NOSYM, // keyCode: 146;
		NOSYM, // keyCode: 147;
		NOSYM, // keyCode: 148;
		NOSYM, // keyCode: 149;
		NOSYM, // keyCode: 150;
		NOSYM, // keyCode: 151;
		NOSYM, // keyCode: 152;
		NOSYM, // keyCode: 153;
		NOSYM, // keyCode: 154;
		NOSYM, // keyCode: 155;
		NOSYM, // keyCode: 156;
		NOSYM, // keyCode: 157;
		NOSYM, // keyCode: 158;
		NOSYM, // keyCode: 159;
		NOSYM, // keyCode: 160;
		NOSYM, // keyCode: 161;
		NOSYM, // keyCode: 162;
		NOSYM, // keyCode: 163;
		NOSYM, // keyCode: 164;
		NOSYM, // keyCode: 165;
		NOSYM, // keyCode: 166;
		NOSYM, // keyCode: 167;
		NOSYM, // keyCode: 168;
		NOSYM, // keyCode: 169;
		NOSYM, // keyCode: 170;
		NOSYM, // keyCode: 171;
		NOSYM, // keyCode: 172;
		NOSYM, // keyCode: 173;
		NOSYM, // keyCode: 174;
		NOSYM, // keyCode: 175;
		NOSYM, // keyCode: 176;
		NOSYM, // keyCode: 177;
		NOSYM, // keyCode: 178;
		NOSYM, // keyCode: 179;
		NOSYM, // keyCode: 180;
		NOSYM, // keyCode: 181;
		NOSYM, // keyCode: 182;
		NOSYM, // keyCode: 183;
		NOSYM, // keyCode: 184;
		NOSYM, // keyCode: 185;
		NOSYM, // keyCode: 186;
		NOSYM, // keyCode: 187;
		NOSYM, // keyCode: 188;
		NOSYM, // keyCode: 189;
		NOSYM, // keyCode: 190;
		NOSYM, // keyCode: 191;
		NOSYM, // keyCode: 192;
		NOSYM, // keyCode: 193;
		NOSYM, // keyCode: 194;
		{{40, 0, 0, 0, 0, 0, 0}, {40, 0, 0, 0, 0, 0, 0}}, // keyCode: 195; normal: "("; shift: "(";
		{{41, 0, 0, 0, 0, 0, 0}, {41, 0, 0, 0, 0, 0, 0}}, // keyCode: 196; normal: ")"; shift: ")";
		NOSYM, // keyCode: 197;
		NOSYM, // keyCode: 198;
		NOSYM, // keyCode: 199;
		NOSYM, // keyCode: 200;
		NOSYM, // keyCode: 201;
		NOSYM, // keyCode: 202;
		NOSYM, // keyCode: 203;
		NOSYM, // keyCode: 204;
		NOSYM, // keyCode: 205;
		NOSYM, // keyCode: 206;
		NOSYM, // keyCode: 207;
		NOSYM, // keyCode: 208;
		NOSYM, // keyCode: 209;
		NOSYM, // keyCode: 210;
		NOSYM, // keyCode: 211;
		NOSYM, // keyCode: 212;
		NOSYM, // keyCode: 213;
		NOSYM, // keyCode: 214;
		NOSYM, // keyCode: 215;
		NOSYM, // keyCode: 216;
		NOSYM, // keyCode: 217;
		NOSYM, // keyCode: 218;
		NOSYM, // keyCode: 219;
		NOSYM, // keyCode: 220;
		NOSYM, // keyCode: 221;
		NOSYM, // keyCode: 222;
		NOSYM, // keyCode: 223;
		NOSYM, // keyCode: 224;
		NOSYM, // keyCode: 225;
		NOSYM, // keyCode: 226;
		NOSYM, // keyCode: 227;
		NOSYM, // keyCode: 228;
		NOSYM, // keyCode: 229;
		NOSYM, // keyCode: 230;
		NOSYM, // keyCode: 231;
		NOSYM, // keyCode: 232;
		NOSYM, // keyCode: 233;
		NOSYM, // keyCode: 234;
		NOSYM, // keyCode: 235;
		NOSYM, // keyCode: 236;
		NOSYM, // keyCode: 237;
		NOSYM, // keyCode: 238;
		NOSYM, // keyCode: 239;
		NOSYM, // keyCode: 240;
		NOSYM, // keyCode: 241;
		NOSYM, // keyCode: 242;
		NOSYM, // keyCode: 243;
		NOSYM, // keyCode: 244;
		NOSYM, // keyCode: 245;
		NOSYM, // keyCode: 246;
		NOSYM, // keyCode: 247;
		NOSYM, // keyCode: 248;
		NOSYM, // keyCode: 249;
		NOSYM, // keyCode: 250;
		NOSYM, // keyCode: 251;
		NOSYM, // keyCode: 252;
		NOSYM, // keyCode: 253;
		NOSYM // keyCode: 254;
	}
};
struct lorie_keymap lorie_keymap_il = {
	.name = "il",
	.keysyms = {
		NOSYM, // keyCode: 8;
		NOSYM, // keyCode: 9;
		NOSYM, // keyCode: 10;
		NOSYM, // keyCode: 11;
		NOSYM, // keyCode: 12;
		NOSYM, // keyCode: 13;
		NOSYM, // keyCode: 14;
		NOSYM, // keyCode: 15;
		NOSYM, // keyCode: 16;
		{{27, 0, 0, 0, 0, 0, 0}, {27, 0, 0, 0, 0, 0, 0}}, // keyCode: 17;
		{{49, 0, 0, 0, 0, 0, 0}, {33, 0, 0, 0, 0, 0, 0}}, // keyCode: 18; normal: "1"; shift: "!";
		{{50, 0, 0, 0, 0, 0, 0}, {64, 0, 0, 0, 0, 0, 0}}, // keyCode: 19; normal: "2"; shift: "@";
		{{51, 0, 0, 0, 0, 0, 0}, {35, 0, 0, 0, 0, 0, 0}}, // keyCode: 20; normal: "3"; shift: "#";
		{{52, 0, 0, 0, 0, 0, 0}, {36, 0, 0, 0, 0, 0, 0}}, // keyCode: 21; normal: "4"; shift: "$";
		{{53, 0, 0, 0, 0, 0, 0}, {37, 0, 0, 0, 0, 0, 0}}, // keyCode: 22; normal: "5"; shift: "%";
		{{54, 0, 0, 0, 0, 0, 0}, {94, 0, 0, 0, 0, 0, 0}}, // keyCode: 23; normal: "6"; shift: "^";
		{{55, 0, 0, 0, 0, 0, 0}, {38, 0, 0, 0, 0, 0, 0}}, // keyCode: 24; normal: "7"; shift: "&";
		{{56, 0, 0, 0, 0, 0, 0}, {42, 0, 0, 0, 0, 0, 0}}, // keyCode: 25; normal: "8"; shift: "*";
		{{57, 0, 0, 0, 0, 0, 0}, {41, 0, 0, 0, 0, 0, 0}}, // keyCode: 26; normal: "9"; shift: ")";
		{{48, 0, 0, 0, 0, 0, 0}, {40, 0, 0, 0, 0, 0, 0}}, // keyCode: 27; normal: "0"; shift: "(";
		{{45, 0, 0, 0, 0, 0, 0}, {95, 0, 0, 0, 0, 0, 0}}, // keyCode: 28; normal: "-"; shift: "_";
		{{61, 0, 0, 0, 0, 0, 0}, {43, 0, 0, 0, 0, 0, 0}}, // keyCode: 29; normal: "="; shift: "+";
		{{8, 0, 0, 0, 0, 0, 0}, {8, 0, 0, 0, 0, 0, 0}}, // keyCode: 30;
		NOSYM, // keyCode: 31; normal: "	";
		{{47, 0, 0, 0, 0, 0, 0}, {81, 0, 0, 0, 0, 0, 0}}, // keyCode: 32; normal: "/"; shift: "Q";
		{{39, 0, 0, 0, 0, 0, 0}, {87, 0, 0, 0, 0, 0, 0}}, // keyCode: 33; normal: "'"; shift: "W";
		{{-41, -89, 0, 0, 0, 0, 0}, {69, 0, 0, 0, 0, 0, 0}}, // keyCode: 34; normal: "ק"; shift: "E";
		{{-41, -88, 0, 0, 0, 0, 0}, {82, 0, 0, 0, 0, 0, 0}}, // keyCode: 35; normal: "ר"; shift: "R";
		{{-41, -112, 0, 0, 0, 0, 0}, {84, 0, 0, 0, 0, 0, 0}}, // keyCode: 36; normal: "א"; shift: "T";
		{{-41, -104, 0, 0, 0, 0, 0}, {89, 0, 0, 0, 0, 0, 0}}, // keyCode: 37; normal: "ט"; shift: "Y";
		{{-41, -107, 0, 0, 0, 0, 0}, {85, 0, 0, 0, 0, 0, 0}}, // keyCode: 38; normal: "ו"; shift: "U";
		{{-41, -97, 0, 0, 0, 0, 0}, {73, 0, 0, 0, 0, 0, 0}}, // keyCode: 39; normal: "ן"; shift: "I";
		{{-41, -99, 0, 0, 0, 0, 0}, {79, 0, 0, 0, 0, 0, 0}}, // keyCode: 40; normal: "ם"; shift: "O";
		{{-41, -92, 0, 0, 0, 0, 0}, {80, 0, 0, 0, 0, 0, 0}}, // keyCode: 41; normal: "פ"; shift: "P";
		{{93, 0, 0, 0, 0, 0, 0}, {125, 0, 0, 0, 0, 0, 0}}, // keyCode: 42; normal: "]"; shift: "}";
		{{91, 0, 0, 0, 0, 0, 0}, {123, 0, 0, 0, 0, 0, 0}}, // keyCode: 43; normal: "["; shift: "{";
		{{13, 0, 0, 0, 0, 0, 0}, {13, 0, 0, 0, 0, 0, 0}}, // keyCode: 44;
		NOSYM, // keyCode: 45;
		{{-41, -87, 0, 0, 0, 0, 0}, {65, 0, 0, 0, 0, 0, 0}}, // keyCode: 46; normal: "ש"; shift: "A";
		{{-41, -109, 0, 0, 0, 0, 0}, {83, 0, 0, 0, 0, 0, 0}}, // keyCode: 47; normal: "ד"; shift: "S";
		{{-41, -110, 0, 0, 0, 0, 0}, {68, 0, 0, 0, 0, 0, 0}}, // keyCode: 48; normal: "ג"; shift: "D";
		{{-41, -101, 0, 0, 0, 0, 0}, {70, 0, 0, 0, 0, 0, 0}}, // keyCode: 49; normal: "כ"; shift: "F";
		{{-41, -94, 0, 0, 0, 0, 0}, {71, 0, 0, 0, 0, 0, 0}}, // keyCode: 50; normal: "ע"; shift: "G";
		{{-41, -103, 0, 0, 0, 0, 0}, {72, 0, 0, 0, 0, 0, 0}}, // keyCode: 51; normal: "י"; shift: "H";
		{{-41, -105, 0, 0, 0, 0, 0}, {74, 0, 0, 0, 0, 0, 0}}, // keyCode: 52; normal: "ח"; shift: "J";
		{{-41, -100, 0, 0, 0, 0, 0}, {75, 0, 0, 0, 0, 0, 0}}, // keyCode: 53; normal: "ל"; shift: "K";
		{{-41, -102, 0, 0, 0, 0, 0}, {76, 0, 0, 0, 0, 0, 0}}, // keyCode: 54; normal: "ך"; shift: "L";
		{{-41, -93, 0, 0, 0, 0, 0}, {58, 0, 0, 0, 0, 0, 0}}, // keyCode: 55; normal: "ף"; shift: ":";
		{{44, 0, 0, 0, 0, 0, 0}, {34, 0, 0, 0, 0, 0, 0}}, // keyCode: 56; normal: ","; shift: """;
		{{59, 0, 0, 0, 0, 0, 0}, {126, 0, 0, 0, 0, 0, 0}}, // keyCode: 57; normal: ";"; shift: "~";
		NOSYM, // keyCode: 58;
		{{92, 0, 0, 0, 0, 0, 0}, {124, 0, 0, 0, 0, 0, 0}}, // keyCode: 59; normal: "\"; shift: "|";
		{{-41, -106, 0, 0, 0, 0, 0}, {90, 0, 0, 0, 0, 0, 0}}, // keyCode: 60; normal: "ז"; shift: "Z";
		{{-41, -95, 0, 0, 0, 0, 0}, {88, 0, 0, 0, 0, 0, 0}}, // keyCode: 61; normal: "ס"; shift: "X";
		{{-41, -111, 0, 0, 0, 0, 0}, {67, 0, 0, 0, 0, 0, 0}}, // keyCode: 62; normal: "ב"; shift: "C";
		{{-41, -108, 0, 0, 0, 0, 0}, {86, 0, 0, 0, 0, 0, 0}}, // keyCode: 63; normal: "ה"; shift: "V";
		{{-41, -96, 0, 0, 0, 0, 0}, {66, 0, 0, 0, 0, 0, 0}}, // keyCode: 64; normal: "נ"; shift: "B";
		{{-41, -98, 0, 0, 0, 0, 0}, {78, 0, 0, 0, 0, 0, 0}}, // keyCode: 65; normal: "מ"; shift: "N";
		{{-41, -90, 0, 0, 0, 0, 0}, {77, 0, 0, 0, 0, 0, 0}}, // keyCode: 66; normal: "צ"; shift: "M";
		{{-41, -86, 0, 0, 0, 0, 0}, {62, 0, 0, 0, 0, 0, 0}}, // keyCode: 67; normal: "ת"; shift: ">";
		{{-41, -91, 0, 0, 0, 0, 0}, {60, 0, 0, 0, 0, 0, 0}}, // keyCode: 68; normal: "ץ"; shift: "<";
		{{46, 0, 0, 0, 0, 0, 0}, {63, 0, 0, 0, 0, 0, 0}}, // keyCode: 69; normal: "."; shift: "?";
		NOSYM, // keyCode: 70;
		{{42, 0, 0, 0, 0, 0, 0}, {42, 0, 0, 0, 0, 0, 0}}, // keyCode: 71; normal: "*"; shift: "*";
		NOSYM, // keyCode: 72;
		{{32, 0, 0, 0, 0, 0, 0}, {32, 0, 0, 0, 0, 0, 0}}, // keyCode: 73; normal: " "; shift: " ";
		NOSYM, // keyCode: 74;
		NOSYM, // keyCode: 75;
		NOSYM, // keyCode: 76;
		NOSYM, // keyCode: 77;
		NOSYM, // keyCode: 78;
		NOSYM, // keyCode: 79;
		NOSYM, // keyCode: 80;
		NOSYM, // keyCode: 81;
		NOSYM, // keyCode: 82;
		NOSYM, // keyCode: 83;
		NOSYM, // keyCode: 84;
		NOSYM, // keyCode: 85;
		NOSYM, // keyCode: 86;
		NOSYM, // keyCode: 87; shift: "7";
		NOSYM, // keyCode: 88; shift: "8";
		NOSYM, // keyCode: 89; shift: "9";
		{{45, 0, 0, 0, 0, 0, 0}, {45, 0, 0, 0, 0, 0, 0}}, // keyCode: 90; normal: "-"; shift: "-";
		NOSYM, // keyCode: 91; shift: "4";
		NOSYM, // keyCode: 92; shift: "5";
		NOSYM, // keyCode: 93; shift: "6";
		{{43, 0, 0, 0, 0, 0, 0}, {43, 0, 0, 0, 0, 0, 0}}, // keyCode: 94; normal: "+"; shift: "+";
		NOSYM, // keyCode: 95; shift: "1";
		NOSYM, // keyCode: 96; shift: "2";
		NOSYM, // keyCode: 97; shift: "3";
		NOSYM, // keyCode: 98; shift: "0";
		NOSYM, // keyCode: 99; shift: ".";
		NOSYM, // keyCode: 100;
		NOSYM, // keyCode: 101;
		{{60, 0, 0, 0, 0, 0, 0}, {62, 0, 0, 0, 0, 0, 0}}, // keyCode: 102; normal: "<"; shift: ">";
		NOSYM, // keyCode: 103;
		NOSYM, // keyCode: 104;
		NOSYM, // keyCode: 105;
		NOSYM, // keyCode: 106;
		NOSYM, // keyCode: 107;
		NOSYM, // keyCode: 108;
		NOSYM, // keyCode: 109;
		NOSYM, // keyCode: 110;
		NOSYM, // keyCode: 111;
		{{13, 0, 0, 0, 0, 0, 0}, {13, 0, 0, 0, 0, 0, 0}}, // keyCode: 112;
		NOSYM, // keyCode: 113;
		{{47, 0, 0, 0, 0, 0, 0}, {47, 0, 0, 0, 0, 0, 0}}, // keyCode: 114; normal: "/"; shift: "/";
		NOSYM, // keyCode: 115;
		NOSYM, // keyCode: 116;
		{{10, 0, 0, 0, 0, 0, 0}, {10, 0, 0, 0, 0, 0, 0}}, // keyCode: 117;
		NOSYM, // keyCode: 118;
		NOSYM, // keyCode: 119;
		NOSYM, // keyCode: 120;
		NOSYM, // keyCode: 121;
		NOSYM, // keyCode: 122;
		NOSYM, // keyCode: 123;
		NOSYM, // keyCode: 124;
		NOSYM, // keyCode: 125;
		NOSYM, // keyCode: 126;
		{{127, 0, 0, 0, 0, 0, 0}, {127, 0, 0, 0, 0, 0, 0}}, // keyCode: 127;
		NOSYM, // keyCode: 128;
		NOSYM, // keyCode: 129;
		NOSYM, // keyCode: 130;
		NOSYM, // keyCode: 131;
		NOSYM, // keyCode: 132;
		{{61, 0, 0, 0, 0, 0, 0}, {61, 0, 0, 0, 0, 0, 0}}, // keyCode: 133; normal: "="; shift: "=";
		{{-62, -79, 0, 0, 0, 0, 0}, {-62, -79, 0, 0, 0, 0, 0}}, // keyCode: 134; normal: "±"; shift: "±";
		NOSYM, // keyCode: 135;
		NOSYM, // keyCode: 136;
		{{46, 0, 0, 0, 0, 0, 0}, {46, 0, 0, 0, 0, 0, 0}}, // keyCode: 137; normal: "."; shift: ".";
		NOSYM, // keyCode: 138;
		NOSYM, // keyCode: 139;
		NOSYM, // keyCode: 140;
		NOSYM, // keyCode: 141;
		NOSYM, // keyCode: 142;
		NOSYM, // keyCode: 143;
		NOSYM, // keyCode: 144;
		NOSYM, // keyCode: 145;
		NOSYM, // keyCode: 146;
		NOSYM, // keyCode: 147;
		NOSYM, // keyCode: 148;
		NOSYM, // keyCode: 149;
		NOSYM, // keyCode: 150;
		NOSYM, // keyCode: 151;
		NOSYM, // keyCode: 152;
		NOSYM, // keyCode: 153;
		NOSYM, // keyCode: 154;
		NOSYM, // keyCode: 155;
		NOSYM, // keyCode: 156;
		NOSYM, // keyCode: 157;
		NOSYM, // keyCode: 158;
		NOSYM, // keyCode: 159;
		NOSYM, // keyCode: 160;
		NOSYM, // keyCode: 161;
		NOSYM, // keyCode: 162;
		NOSYM, // keyCode: 163;
		NOSYM, // keyCode: 164;
		NOSYM, // keyCode: 165;
		NOSYM, // keyCode: 166;
		NOSYM, // keyCode: 167;
		NOSYM, // keyCode: 168;
		NOSYM, // keyCode: 169;
		NOSYM, // keyCode: 170;
		NOSYM, // keyCode: 171;
		NOSYM, // keyCode: 172;
		NOSYM, // keyCode: 173;
		NOSYM, // keyCode: 174;
		NOSYM, // keyCode: 175;
		NOSYM, // keyCode: 176;
		NOSYM, // keyCode: 177;
		NOSYM, // keyCode: 178;
		NOSYM, // keyCode: 179;
		NOSYM, // keyCode: 180;
		NOSYM, // keyCode: 181;
		NOSYM, // keyCode: 182;
		NOSYM, // keyCode: 183;
		NOSYM, // keyCode: 184;
		NOSYM, // keyCode: 185;
		NOSYM, // keyCode: 186;
		NOSYM, // keyCode: 187;
		NOSYM, // keyCode: 188;
		NOSYM, // keyCode: 189;
		NOSYM, // keyCode: 190;
		NOSYM, // keyCode: 191;
		NOSYM, // keyCode: 192;
		NOSYM, // keyCode: 193;
		NOSYM, // keyCode: 194;
		{{40, 0, 0, 0, 0, 0, 0}, {40, 0, 0, 0, 0, 0, 0}}, // keyCode: 195; normal: "("; shift: "(";
		{{41, 0, 0, 0, 0, 0, 0}, {41, 0, 0, 0, 0, 0, 0}}, // keyCode: 196; normal: ")"; shift: ")";
		NOSYM, // keyCode: 197;
		NOSYM, // keyCode: 198;
		NOSYM, // keyCode: 199;
		NOSYM, // keyCode: 200;
		NOSYM, // keyCode: 201;
		NOSYM, // keyCode: 202;
		NOSYM, // keyCode: 203;
		NOSYM, // keyCode: 204;
		NOSYM, // keyCode: 205;
		NOSYM, // keyCode: 206;
		NOSYM, // keyCode: 207;
		NOSYM, // keyCode: 208;
		NOSYM, // keyCode: 209;
		NOSYM, // keyCode: 210;
		NOSYM, // keyCode: 211;
		NOSYM, // keyCode: 212;
		NOSYM, // keyCode: 213;
		NOSYM, // keyCode: 214;
		NOSYM, // keyCode: 215;
		NOSYM, // keyCode: 216;
		NOSYM, // keyCode: 217;
		NOSYM, // keyCode: 218;
		NOSYM, // keyCode: 219;
		NOSYM, // keyCode: 220;
		NOSYM, // keyCode: 221;
		NOSYM, // keyCode: 222;
		NOSYM, // keyCode: 223;
		NOSYM, // keyCode: 224;
		NOSYM, // keyCode: 225;
		NOSYM, // keyCode: 226;
		NOSYM, // keyCode: 227;
		NOSYM, // keyCode: 228;
		NOSYM, // keyCode: 229;
		NOSYM, // keyCode: 230;
		NOSYM, // keyCode: 231;
		NOSYM, // keyCode: 232;
		NOSYM, // keyCode: 233;
		NOSYM, // keyCode: 234;
		NOSYM, // keyCode: 235;
		NOSYM, // keyCode: 236;
		NOSYM, // keyCode: 237;
		NOSYM, // keyCode: 238;
		NOSYM, // keyCode: 239;
		NOSYM, // keyCode: 240;
		NOSYM, // keyCode: 241;
		NOSYM, // keyCode: 242;
		NOSYM, // keyCode: 243;
		NOSYM, // keyCode: 244;
		NOSYM, // keyCode: 245;
		NOSYM, // keyCode: 246;
		NOSYM, // keyCode: 247;
		NOSYM, // keyCode: 248;
		NOSYM, // keyCode: 249;
		NOSYM, // keyCode: 250;
		NOSYM, // keyCode: 251;
		NOSYM, // keyCode: 252;
		NOSYM, // keyCode: 253;
		NOSYM // keyCode: 254;
	}
};

struct lorie_keymap *lorie_keymaps[] = {&lorie_keymap_ru, &lorie_keymap_il, NULL};
